TicksData

12 Sep 20252 minutes to read

Configures the ticks data of the Slider.

Properties

format string

It is used to customize the Slider scale value to the desired format using Internationalization or events(custom formatting).

    <div id="default"></div>
    import { Slider } from "@syncfusion/ej2-inputs";
    let defaultObj: Slider = new Slider({
      value: 30,
      ticks: { placement: "After", format: "C2", largeStep: 20, smallStep: 10, showSmallTicks: true }
    });
    defaultObj.appendTo("#default");

largeStep number

It is used to denote the distance between two major (large) ticks from the scale of the Slider.

    <div id="default"></div>
  import { Slider } from "@syncfusion/ej2-inputs";
  let defaultObj: Slider = new Slider({
    value: 30,
    ticks: { placement: "After", largeStep: 20}
  });
  defaultObj.appendTo("#default");

Defaults to 10

placement Placement

It is used to denote the position of the ticks in the Slider. The available options are:

  • before - Ticks are placed in the top of the horizontal slider bar or at the left of the vertical slider bar.
  • after - Ticks are placed in the bottom of the horizontal slider bar or at the right of the vertical slider bar.
  • both - Ticks are placed on the both side of the Slider bar.
  • none - Ticks are not shown.
  <div id="default"></div>
  import { Slider } from "@syncfusion/ej2-inputs";
  let defaultObj: Slider = new Slider({
      // Set the value for slider
      value: 30,
      ticks: { placement: "After"}
    });
    defaultObj.appendTo("#default");

Defaults to ‘None’

showSmallTicks boolean

We can show or hide the small ticks in the Slider, which will be appeared in between the largeTicks.

Defaults to false

smallStep number

It is used to denote the distance between two minor (small) ticks from the scale of the Slider.

  <div id="default"></div>
  import { Slider } from "@syncfusion/ej2-inputs";
  let defaultObj: Slider = new Slider({
        // Set the value for slider
      value: 30,
      ticks: { placement: "After", smallStep: 10 }
    });
    defaultObj.appendTo("#default");

Defaults to 1

HelpBot Assistant

How can I help you?

TicksData

17 Sep 20253 minutes to read

Configures the ticks data of the Slider.

Properties

format string

It is used to customize the Slider scale value to the desired format using Internationalization or events(custom formatting).

import * as React from 'react';
import { SliderComponent, ColorRangeDataModel, TicksDataModel } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component<{}, {}> {
  public ticks: TicksDataModel = {
    placement: "After",
    format: "C2",
    largeStep: 20,
    smallStep: 10,
    showSmallTicks: true
  };
  public tooltip = { isVisible: true, format: "C2" };
  render() {
    
    return (
        <div id='container'>
            <div className='wrap'>
                <SliderComponent id='slider' value={30}   tooltip={this.tooltip}
            ticks={this.ticks} />
            </div>
        </div>
    );
  }
}

largeStep number

It is used to denote the distance between two major (large) ticks from the scale of the Slider.

import * as React from 'react';
import { SliderComponent, ColorRangeDataModel } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component<{}, {}> {
  public ticks: TicksDataModel = {
    placement: "After",
    largeStep: 20,
    showSmallTicks: true
  };
  public tooltip = { isVisible: true };
  render() {
    
    return (
        <div id='container'>
            <div className='wrap'>
                <SliderComponent id='slider' value={30}   tooltip={this.tooltip}
            ticks={this.ticks} />
            </div>
        </div>
    );
  }
}

Defaults to 10

placement Placement

It is used to denote the position of the ticks in the Slider. The available options are:

  • before - Ticks are placed in the top of the horizontal slider bar or at the left of the vertical slider bar.
  • after - Ticks are placed in the bottom of the horizontal slider bar or at the right of the vertical slider bar.
  • both - Ticks are placed on the both side of the Slider bar.
  • none - Ticks are not shown.
import * as React from "react";
import { SliderComponent, ColorRangeDataModel, TicksDataModel, LimitDataModel } from "@syncfusion/ej2-react-inputs";

export default class App extends React.Component<{}, {}> {
  public ticks: TicksDataModel = {
    placement: "After",
  };
  render() {
    return (
        <div id="container">
            <div className="wrap">
                <SliderComponent id="slider" value={30} ticks={this.ticks} />
            </div>
        </div>
    );
  }
}

Defaults to ‘None’

showSmallTicks boolean

We can show or hide the small ticks in the Slider, which will be appeared in between the largeTicks.

Defaults to false

smallStep number

It is used to denote the distance between two minor (small) ticks from the scale of the Slider.

import * as React from 'react';
import { SliderComponent, ColorRangeDataModel } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component<{}, {}> {
  public ticks: TicksDataModel = {
    placement: "After",
    smallStep: 10,
    showSmallTicks: true
  };
  public tooltip = { isVisible: true};
  render() {
    
    return (
        <div id='container'>
            <div className='wrap'>
                <SliderComponent id='slider' value={30} tooltip={this.tooltip}
            ticks={this.ticks} />
            </div>
        </div>
    );
  }
}

Defaults to 1

TicksData

12 Sep 20255 minutes to read

Configures the ticks data of the Slider.

Properties

format string

It is used to customize the Slider scale value to the desired format using Internationalization or events(custom formatting).

<template>
    <div id="app">
    <ejs-slider id="default" :value="value" :ticks="ticks"></ejs-slider>
    </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
      value: 30,
      ticks: { placement: "After", format: "C2", largeStep: 20, smallStep: 10, showSmallTicks: true }
    };
  }
}
</script>
<style>
  #app {
    color: #008cff;
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
  .slidernew {
    border: 1px solid;
  }
</style>

largeStep number

It is used to denote the distance between two major (large) ticks from the scale of the Slider.

<template>
    <div id="app">
    <ejs-slider id="default" :value="value" :ticks="ticks"></ejs-slider>
    </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
      value: 30,
      ticks: { placement: "After", largeStep: 20 }
    };
  }
}
</script>
<style>
  #app {
    color: #008cff;
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
  .slidernew {
    border: 1px solid;
  }
</style>

Defaults to 10

placement Placement

It is used to denote the position of the ticks in the Slider. The available options are:

  • before - Ticks are placed in the top of the horizontal slider bar or at the left of the vertical slider bar.
  • after - Ticks are placed in the bottom of the horizontal slider bar or at the right of the vertical slider bar.
  • both - Ticks are placed on the both side of the Slider bar.
  • none - Ticks are not shown.
<template>
<div id="app">
    <ejs-slider id="default" :value="value" :ticks="ticks"></ejs-slider>
</div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
      value: 30,
      ticks: { placement: "Before", largeStep: 20 }
    };
  }
}
</script>
<style>
  #app {
    color: #008cff;
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
  .slidernew {
    border: 1px solid;
  }
</style>

Defaults to ‘None’

showSmallTicks boolean

We can show or hide the small ticks in the Slider, which will be appeared in between the largeTicks.

Defaults to false

smallStep number

It is used to denote the distance between two minor (small) ticks from the scale of the Slider.

<template>
    <div id="app">
    <ejs-slider id="default" :value="value" :ticks="ticks"></ejs-slider>
    </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
      value: 30,
      ticks: { placement: "After", smallStep: 10 }
    };
  }
}
</script>
<style>
  #app {
    color: #008cff;
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
  .slidernew {
    border: 1px solid;
  }
</style>

Defaults to 1

Search results

TicksData API in Angular Slider API component

Configures the ticks data of the Slider.

Properties

format

string

It is used to customize the Slider scale value to the desired format using Internationalization or events(custom formatting).

 <ejs-slider id='default' [value]='value' [ticks]="ticksData"></ejs-slider>
import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    templateUrl: 'app/template.html',
    styleUrls:['index.css'],
})
export class AppComponent {
    public value: number = 30;
     public ticksData: Object = 
     { 
     placement: 'After', 
     format: 'C2', 
     largeStep: 20, 
     smallStep: 10, 
     showSmallTicks: true 
     };
}

largeStep

number

It is used to denote the distance between two major (large) ticks from the scale of the Slider.

 <ejs-slider id='default' [value]='value' [ticks]="ticks"></ejs-slider>
import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    templateUrl: 'app/template.html',
    styleUrls:['index.css'],
})
export class AppComponent {
    public value: number = 30;
    public ticks: Object = {
        largeStep: 20,placement: 'After',
    };
}

Defaults to 10

placement

Placement

It is used to denote the position of the ticks in the Slider. The available options are:

  • before - Ticks are placed in the top of the horizontal slider bar or at the left of the vertical slider bar.
  • after - Ticks are placed in the bottom of the horizontal slider bar or at the right of the vertical slider bar.
  • both - Ticks are placed on the both side of the Slider bar.
  • none - Ticks are not shown.
 <ejs-slider id='default' [value]='value' [ticks]="ticks"></ejs-slider>
import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    templateUrl: 'app/template.html',
    styleUrls:['index.css'],
})
export class AppComponent {
    public value: number = 30;
    public ticks: Object = {
        placement: 'Before'
    };
}

Defaults to ‘None’

showSmallTicks

boolean

We can show or hide the small ticks in the Slider, which will be appeared in between the largeTicks.

Defaults to false

smallStep

number

It is used to denote the distance between two minor (small) ticks from the scale of the Slider.

 <ejs-slider id='default' [value]='value' [ticks]="ticks"></ejs-slider>
import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    templateUrl: 'app/template.html',
    styleUrls:['index.css'],
})
export class AppComponent {
    public value: number = 30;
    public ticks: Object = {
        placement: 'After',
        smallStep: 5
    };
}

Defaults to 1